## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 22;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/golang/exp
%global goipath         golang.org/x/exp
%global forgeurl        https://github.com/golang/exp
%global commit          d63ba01acd4b5892385c4390b334ea2c89f27eb7

%gometa

%global common_description %{expand:
This subrepository holds experimental and deprecated packages.

The idea for this subrepository originated as the pkg/exp directory of the main
repository, but its presence there made it unavailable to users of the binary
downloads of the Go installation. The subrepository has therefore been created
to make it possible to go get these packages.}

%global golicenses      LICENSE PATENTS
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Version:        0
Release:        %autorelease -p -b 30
Summary:        Experimental and deprecated Go packages

License:        BSD-3-Clause AND Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  libglvnd-devel

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
rm -rfv event jsonrpc2 shiny

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/apidiff cmd/gorelease cmd/modgraphviz cmd/txtar ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
for test in "TestRelease_gitRepo_uncommittedChanges" \
            "TestFailure" \
            "TestCertificateTransparency" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE PATENTS
%doc CONTRIBUTING.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Sun Aug 06 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.51
- Bump to commit d63ba01acd4b5892385c4390b334ea2c89f27eb7

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 23 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0-0.49
- Skip one jsonrpc2 test

* Thu Jun 22 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0-0.48
- Remove event module, fix test. Closes rhbz#2171561

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.47
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 0-0.46
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.45
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0-0.44
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.43
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> - 0-0.42
- Rebuilt for CVE-2022-27191

* Thu Apr 07 2022 Fabio Alessandro Locati <me@fale.io> - 0-0.41
- bump to 053ad81199eb10baaf3412e8adb0f8c82679b4d3

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 23 02:22:50 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.26.20210123giteab1b5e
- Bump to commit eab1b5eb1a030d481efa6d2d1362ece0ebdba8e9

* Fri Aug 07 19:13:51 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.25.20200807git0022984
- Bump to commit 00229845015e38294862ecd9909318241789d41c

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.21.20190623git8c7d1c5
- Add Obsoletes for old name

* Thu Apr 25 00:30:21 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.20.20190623git8c7d1c5
- Bump to commit 8c7d1c524af6eaf18eadc4f57955a748e7001194

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.19.gitd00e13e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.gitd00e13e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17.gitd00e13e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.gitd00e13e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.gitd00e13e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 26 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.14.gitd00e13e
- Update Provided and [B]R packages
  related: #1250519

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.gitd00e13e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.gitd00e13e
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Apr 18 2016 jchaloup <jchaloup@redhat.com> - 0-0.11.gitd00e13e
- Bump to upstream d00e13ec443927751b2bd49e97dea7bf3b6a6487
  related: #1250519

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.gite1eb486
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.gite1eb486
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 20 2015 jchaloup <jchaloup@redhat.com> - 0-0.8.gite1eb486
- Choose the correct devel subpackage
  related: #1250519

* Thu Aug 20 2015 jchaloup <jchaloup@redhat.com> - 0-0.7.gite1eb486
- Fix %%files devel section
- Fix BR and R, change import path prefix to code.google.com/p
  related: #1250519

* Wed Aug 19 2015 jchaloup <jchaloup@redhat.com>
- Update spec file to spec-2.0
  resolves: #1250519

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.hg77a5f324d8f5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 09 2014 jchaloup <jchaloup@redhat.com> - 0-0.4.hg77a5f324d8f5
- Update to the latest commit 77a5f324d8f52bc9a7116aab8ed7136f08ea5310
  related: #1148481

* Fri Nov 21 2014 jchaloup <jchaloup@redhat.com> - 0-0.3.hgbd8df7009305
- Extend import paths for golang.org/x/
  related: #1148481

* Sun Oct 26 2014 jchaloup <jchaloup@redhat.com> - 0-0.2.hgbd8df7009305
- Choose the correct architecture
  related: #1148481

* Mon Sep 15 2014 Eric Paris <eparis@redhat.com - 0-0.1.hgbd8df7009305
- Bump to upstream bd8df7009305d6ada223ea3c95b94c0f38bfa119

## END: Generated by rpmautospec
